Subject: [Enum] Enumservice registrations

From: Lawrence Conroy <[email-masked]>
Date: Sat, 3 Mar 2012 12:06:33 +0000

Hi esteemed AD, ENUMers,
 As a process issue:
-  Section 4.1 of RFC6117 suggests that authors of Enumservices should look for existing work in the Enum mailing list.
-  Section 6.3 of RFC6117 states that authors MUST send a mail to the enum list with a link to the registration doc.

In the current case, Richard forwarded the id-announce mail for draft-goix-appsawg-enum-sn-service-00.txt to the list; the authors have not.

So ...
 Can someone ensure at least that I-Ds for Enumservices are ALWAYS/Automatically sent to the enum mailing list?
(i.e., if it's an Enumservice, the enum mailing list is an interested party)

The application detail for Enumservices may well be covered in other WGs, but there must be a link the ENUM mailing list.
Otherwise 6117 needs an update -- please, no!

all the best,
  Lawrence

---

From: Bernie Hoeneisen <[email-masked]>
Date: Sat, 3 Mar 2012 14:06:41 +0100 (CET)

Hi Lawrence

Thanks for sharing your view on the Enumservice registration process wrt. 
draft-goix-appsawg-enum-sn-service-00.txt. And thanks Rich for spotting 
this I/D and forwarding it to the ENUM list.

It appears to me that the authors simply have not read RFC 6117 too 
thoroughly, and therefore don't follow the RFC-6117-process.

However, I am not worried at this point in time, as the I/D is a -00 
individual submission. Furthermore, before any Enumservice advances, it 
has to go through my hands, and I will ensure each proposal gets 
sufficient community review (in particular ENUM community), before any 
decision is made. Thus, not-follow-the-process simply results in delay, 
which the authors otherwise could avoid.

Should I happen to meet the authors in Paris, I'll talk to them about 
this.

I hope this addresses your concerns.

cheers,
  Bernie, IESG Designated Expert for ENUM

PS: And no, we are not intending to update RFC 6117 any time soon... ;-)

--

http://ucom.ch/
Tech Consulting for Internet Technology

> - Section 4.1 of RFC6117 suggests that authors of Enumservices should 
> look for existing work in the Enum mailing list.
> - Section 6.3 of RFC6117 states that authors MUST send a mail to the 
> enum list with a link to the registration doc.
>
> In the current case, Richard forwarded the id-announce mail for 
> draft-goix-appsawg-enum-sn-service-00.txt to the list; the authors have 
> not.
>
> So ...
> Can someone ensure at least that I-Ds for Enumservices are 
> ALWAYS/Automatically sent to the enum mailing list? (i.e., if it's an 
> Enumservice, the enum mailing list is an interested party)
>
> The application detail for Enumservices may well be covered in other 
> WGs, but there must be a link the ENUM mailing list. Otherwise 6117 
> needs an update -- please, no!
>
> all the best,
>  Lawrence
>
> _______________________________________________
> enum mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/enum
>

---

From: Peter Koch <[email-masked]>
Date: Mon, 5 Mar 2012 13:51:42 +0100

> (i.e., if it's an Enumservice, the enum mailing list is an interested party)

i'd suggest not to install any magic or automated action here.  Maybe the process
wasn't followed, but then we do probably not know what the current status
of the draft is.  Ideally, it would benefit from review on this list even as a -00,
but in that regard there's nothing wrong with further discussion.  Automated action
would lead to undesired effects and also educate authors in the wrong direction.

-Peter

---

From: Lawrence Conroy <[email-masked]>
Date: Mon, 5 Mar 2012 14:07:22 +0000

> would lead to undesired effects and also educate authors in the wrong direction.

To which I reply:
Hi Peter, Richard, folks,
 Fair enough.
This was *not* a dig at these specific authors -- lord knows I've made enough mistakes and had drafts not marked for the WG in which they were being considered, let alone this case where there are two separate groups that have an interest.

I do recall some confusion in the past that was caused by lack of communication between groups when NAPTRs were being [re-]defined.
The URN folk went their way, the ENUM-URI folk went their way with the SIP folk roughly in allignment, and as for (u)SNAPTRs folk, they were somewhere else again.
I contend that coordination between those groups would have made life easier for all, and certainly would have led to fewer bugs in ENUM code from people looking at examples in entirely unrelated drafts (and so made my life easier).

Given that even the best of us (i.e., me :), make mistakes, how that coordination is arranged at an early enough state to make life easy for the authors is the trick.
Taking your point, automation is the wrong kind of education; conversely, so are cattle prods.
Let's see if this is a common issue (especially with Richard's dark threats of tilting at the E2MD windmill again).

all the best,
  Lawrence

---

From: Goix Laurent Walter <[email-masked]>
Date: Mon, 5 Mar 2012 18:13:04 +0100

Thank you Bernie and Lawrence for the exhaustive comments. The notification to the enum list (and its first feedback) was faster than expected...

We will produce a revision accordingly and based on other comments we receive.

Cheers
walter

-----Messaggio originale-----
Da: [email-masked] [mailto:[email-masked]] Per conto di Bernie Hoeneisen
Inviato: sabato 3 marzo 2012 14.07
A: Lawrence Conroy
Cc: IETF ENUM list; Gonzalo Camarillo; [email-masked]
Oggetto: Re: [apps-discuss] [Enum] Enumservice registrations

Hi Lawrence

cheers,

--

http://ucom.ch/

_______________________________________________
apps-discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/apps-discuss

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.